Documentation · API reference
POST/api/v1/sites/{site}/annotations

Add a note to the chart

Add a note to a site's chart, at a date.

Parameters

sitein the address
neededA site's id or name

What to send

AnnotationCreate

day
stringneeded
note
stringneeded

The answer

Status 201

AnnotationView

created_at
stringneeded
day
stringneeded`2026-10-08`, in the site's time zone.
id
stringneeded
note
stringneeded

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/sites/example.org/annotations \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"day": "…", "note": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/annotations", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"day": "…", "note": "…"}),
}).then((r) => r.json());